### Signal

# Gtk Widget::unrealize

since: 4.0

#### Declaration

    void
    unrealize (
      GtkWidget* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the `GdkSurface` associated with `widget` is destroyed.

This means that `gtk_widget_unrealize()` has been called or the widget has been unmapped (that is, it is going to be hidden).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0